QGIS Application - Bug report #18642

Geometry tools Check validity unable to distinguish between different memory layers

2018-04-05 05:41 PM - amedeo fadini

Status: Closed

Priority: Normal
Assignee:

Category: Processing/QGIS

Affected QGIS version:2.18.17
Operating System: Windows 7
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 26530

Description

Given a QGIS project (2.18.17) with two memory layers of type polygon with the same CRS and differnte layername, I've tried to use

Vector Geometry Tools > check validity on both layers but it perform the check and show results always in the same layer.
No problem with two layers with different SRS.

In attached screenshot memory2 and memory3 has the same errors, output results against memory2 shows results of memory1

History

#1 - 2018-04-05 05:42 PM - amedeo fadini
- Assignee deleted (Victor Olaya)

#2 - 2018-06-05 04:08 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in 3.0
